# -*- coding: utf-8 -*-
from setuphelpers import *
import winshell

# Defining variables
shortcut_name = "WAPT tray helper.lnk"
startup_dir = winshell.startup(common=True)
shortcut_path = makepath(startup_dir, shortcut_name)
if isdir(makepath(programfiles32, "wapt")):
    wapt_dir = makepath(programfiles32, "wapt")
else:
    wapt_dir = makepath(systemdrive, "wapt")
if isfile(makepath(wapt_dir, "wapt-enterprise.ico")):
    wapt_ico_path = makepath(wapt_dir, "wapt-enterprise.ico")
else:
    wapt_ico_path = makepath(wapt_dir, "wapt.ico")
wapt_tray_path = makepath(wapt_dir, "wapttray.exe")


def install():
    # Installing the package
    if isfile(shortcut_path):
        remove_file(shortcut_path)
    else:
        print("The WAPT Tray startup shortcut was not present.")


def uninstall():
    # Uninstalling the package
    if not isfile(shortcut_path):
        create_shortcut(shortcut_path, target=wapt_tray_path, icon=wapt_ico_path)
    else:
        print("The WAPT Tray startup shortcut already exist.")


def audit():
    if isfile(shortcut_path):
        print("WARNING: The WAPT Tray startup shortcut is present.")
        return "WARNING"
    else:
        return "OK"
